package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class AdvertE1Collection extends AbstractObjectCollection 
{
    public AdvertE1Collection()
    {
        super(AdvertE1Info.class);
    }
    public boolean add(AdvertE1Info item)
    {
        return addObject(item);
    }
    public boolean addCollection(AdvertE1Collection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(AdvertE1Info item)
    {
        return removeObject(item);
    }
    public AdvertE1Info get(int index)
    {
        return(AdvertE1Info)getObject(index);
    }
    public AdvertE1Info get(Object key)
    {
        return(AdvertE1Info)getObject(key);
    }
    public void set(int index, AdvertE1Info item)
    {
        setObject(index, item);
    }
    public boolean contains(AdvertE1Info item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(AdvertE1Info item)
    {
        return super.indexOf(item);
    }
}